
Audacious - OLD, PLEASE USE GITHUB DISCUSSIONS/ISSUES - Bug #831

Playlist drag-and-drop no longer working in 3.10 (Qt UI)

September 29, 2018 18:54 - --peter josv.a.i

Status: Closed Start date: September 29, 2018

Priority: Major Due date:  

Assignee:  % Done: 100%

Category: plugins/qtui Estimated time: 0.00 hour

Target version: 3.10.1   

Affects version: 3.10   

Description

// I'm sure this has been discussed already, too, I'm just writing this because I'm testing right now audacious 3.10 for the first time

I think users (including me) would like to drag songs in the playlists,

also to occasionally add them to a new playlist, or to another playlist (as seen in Clementine)

thank you for developing audacious!!

History

#1 - September 29, 2018 20:10 - John Lindgren

This has been possible for years.

#2 - November 01, 2018 04:49 - John Lindgren

- % Done changed from 0 to 100

- Target version set to 3.10.1

- Priority changed from Trivial to Major

- Category set to plugins/qtui

- Subject changed from drag songs in playlist and reposition them  (an enhancement suggestion) to Playlist drag-and-drop no longer working in 3.10

(Qt UI)

- Tracker changed from Feature to Bug

So, my bad, I checked again and this actually got broken (by me, oops) in 3.10, in the Qt UI.  It was working in 3.9.

Fixed:

https://github.com/audacious-media-player/audacious-plugins/commit/e7a6c81f4b49872fb078368a113854b3461f37b5

#3 - November 01, 2018 04:50 - John Lindgren

- Status changed from New to Closed

#4 - May 20, 2022 08:31 - David Martín

Hi,

I'm poking around Audacious 4.1 (QT UI, KDE, Debian testing) and find myself unable to move songs between playlists. Can it be a regression on this

old bug? Should i open a new bug?

Thanks!
